View Issue Details

IDProjectCategoryView StatusLast Update
0010759ScribusGraphics / Image Framespublic2012-11-13 20:37
Reportersciurius Assigned ToChelen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version14
Product Version1.4.1 
Target VersionFixed in Version1.5.0svn 
Summary0010759: Image size properties should be locked initially
DescriptionIn a fresh Scribus, the Width/Height properties of an image are unlocked. Since I assume most images will be resized with aspect retained, it would be better to have these properties initially locked for every (new) image.
Steps To ReproduceStart Scribus
Single page document
Draw an image frame
Get an image
In the properties list, select the Image properties
Width and Height are unlocked.
TagsNo tags attached.
Patch

Relationships

related to 0010978 closedChelen [PATCH] Snap to Item functionnality and other features 

Activities

ale

2012-06-18 15:07

manager   ~0028184

that is: the default in the preferences > image tool should be to have the proportions locked...

Chelen

2012-07-25 15:08

developer   ~0028622

it is not only proportion locked in preference
So I change both, the proportion lock and the lock ratio in my branch

Chelen

2012-07-31 22:01

developer   ~0028706

Instead of creating another preference value, I linked proportional checkbox and the chain to say that values are proportional in freescale mode.
Do you agree with this?
It is on my branch

Issue History

Date Modified Username Field Change
2012-06-18 13:45 sciurius New Issue
2012-06-18 15:07 ale Note Added: 0028184
2012-07-25 15:07 Chelen Assigned To => Chelen
2012-07-25 15:07 Chelen Status new => assigned
2012-07-25 15:08 Chelen Note Added: 0028622
2012-07-31 19:31 cbradney Relationship added related to 0010978
2012-07-31 22:01 Chelen Note Added: 0028706
2012-08-01 20:40 cbradney Status assigned => closed
2012-08-01 20:40 cbradney Resolution open => fixed
2012-08-01 20:40 cbradney Fixed in Version => 1.5.0svn
2012-08-01 20:45 cbradney Status closed => resolved
2012-11-13 20:37 cbradney Status resolved => closed
2015-09-17 20:10 Kunda Category Graphics / Image Frames => Graphics/Img Frames
2015-09-17 20:11 Kunda Category Graphics/Img Frames => Graphics / Image Frames